PHP: Hypertext Preprocessor, commonly known as PHP, is a popular open-source server-side programming language, which can be used to build dynamic sites with interactive elements such as bulletin boards, e-learning sites or community portals. In comparison with static HTML-based websites, a PHP-powered website can display different content to each visitor under the same page URL. Considering the fact that PHP-based applications can be managed via one single Control Panel, which you can sign in to using any Internet browser, you won’t need to possess any web development skills or practical experience whatsoever in order to maintain a PHP-driven website. The fact that hundreds of millions of websites around the world are built using PHP is an indication of the language’s popularity and simplicity of use. You must only verify whether the web server on which your website is hosted supports the same exact version of PHP as the one that you used while developing the site.

PHP 4 and PHP 5 Support in Cloud Web Hosting

Our cloud web hosting servers support several PHP versions, which implies that your websites will work correctly no matter if your PHP scripts are out of date. We accept the fact that an old site doesn’t invariably imply an insecure one as you may have performed lots of source code modifications. That is the reason why we support PHP 5.5, 5.4, 5.3, 5.2 and 4 and you can decide which one will be enabled for your account. You can change the version with a single click from your Hepsia hosting Control Panel and the update will be applied straight away. If you wish to run both older and newer scripts, there is even a possibility to use a different version of PHP for each of your domains simultaneously.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even in case your websites were created with an earlier PHP version, you’ll be able to host them in a semi-dedicated server account from us, since we support multiple versions running simultaneously on our servers and each of them can be activated for your account with no more than a click of the mouse from our custom-created Hepsia hosting Control Panel. In addition to the most recent PHP 5.5 and PHP 5.4, we also offer support for 5.2, 5.3 and the older PHP 4. The latter has already been dropped by the vast majority of web hosting providers, but we are strongly convinced that you shouldn’t be compelled to modify a website that took years to develop, since older scripting language syntax doesn’t inevitably equal security holes. On the contrary, a well-maintained website using PHP 4 can be more secure than a poorly maintained one using PHP 5. For your convenience’s sake, we will also give you the possibility to choose a different version for each single site within the account.